<p-panel header="Print BBM" [toggleable]="false">
    <div>
        <div style="margin-top: 10px; width: 100%;">
            <div *ngIf="!isview">
                <p-dataTable [value]="pobbms" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true"
                row="itemsPerPage" totalRecords="totalItems" dataKey="nobbm" expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)">
                    <p-header>
                        <div class="row">
                            <div class="col-sm-12">
                                <form name="searchForm" class="form-inline">
                                    <div class="input-group w-100 mt-3">
                                        <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                            name="currentSearch" placeholder="Cari Nomor BBM || No LHP">
                                        <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                                            <span class="fa fa-search"></span>
                                        </button>
                                        <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                                            <span class="fa fa-trash-o"></span>
                                        </button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </p-header>
                    <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                        <ng-template let-rowIndex="rowIndex" pTemplate="body">
                            {{rowIndex + 1}}
                        </ng-template>
                    </p-column>
                    <p-column header="No BBM">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <a (click)="openPdf(rowData)">{{rowData.nobbm}}</a>
                        </ng-template>
                    </p-column>
                    <p-column header="No LHP">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.nolhp}}
                        </ng-template>
                    </p-column>
                    <p-column header="Total Print">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.totalprint}}
                        </ng-template>
                    </p-column>
                </p-dataTable>
            </div>
            <div *ngIf="isview">
                <form name="printForm" role="form" novalidate #editForm="ngForm">
                    <div>
                        <button pButton type="submit" label="print" icon="fa-print" class=" ui-button-success flat-label-button"
                            (click)="print()" [disabled]="pobbm.totalprint > 0">
                        </button>
                        <button  pButton type="submit" label="Download" icon="fa-download" class="ui-button-info flat-label-button"
                            (click)="downloadBlob()" [disabled]="pobbm.totalprint > 0">
                        </button>
                        <button  pButton label="Back" class="ui-button-danger flat-label-button" (click)="backMainPage()">
                        </button>
                    </div>
                    <div>
                        <pdf-viewer [src]="pdfSrc" [render-text]="true" style="display: block;" [show-all]="true"></pdf-viewer>
                    </div>
                </form>
            </div>

        </div>
    </div>
    <div>
    </div>
    <div style="margin-bottom: 300px;"></div>
</p-panel>
<p-confirmDialog></p-confirmDialog>